2025-11-06 14.00 UTC - There are currently no active events. All systems operational.

Create new electric cable

Prev Next
Post
/el_cables/

Operation is used to create new electric cable. Available from product version 3.2.2.

Security
API Key: Token
Header parameter nameAuthorization

Token issued for API consumer.

Body parameters

Electric Cable to be created

object
contractor
integer

Cable contractor id

depth_class
integer

Cable depth class id

false_cable
boolean

unknown

height_accuracy
integer

Height accuracy id

identification
string

Identification

installation_date
string (date-time)

installation date

installation_type
integer

Cable installation type id

installation_year
integer

Installation year

length
number (float)

cable length

location
string (ewkt)

Geographical location

location_accuracy
integer

Location accuracy id

mapper
string

mapper name

mapping_date
string (date-time)

mapping date

mapping_method
integer

Mapping method id

measure
integer

Cable measure id

network_area
integer

Network area id

owner
integer

Owner id

plan
integer

Plan id

remarks
string

Remarks. Available from product version 3.2.14.

renter
integer

Renter id

safety_distance
integer

Safety Distance id. Available from product version 3.6.4

survey_amount
integer

unknown

type
integer Required

Type id

usage_state
integer Required

Usage state id

Responses
201

A created Electric Cable

{
  "contractor": null,
  "creation_date": "2019-05-06T12:47:12.703Z",
  "creator": "api@keypro.fi",
  "depth_class": null,
  "false_cable": null,
  "height_accuracy": null,
  "id": 109490,
  "identification": "ABCDE",
  "installation_date": null,
  "installation_type": 941,
  "installation_year": null,
  "length": null,
  "location": null,
  "location_accuracy": null,
  "mapper": "",
  "mapping_date": null,
  "mapping_method": null,
  "measure": 305010,
  "network_area": null,
  "owner": null,
  "plan": null,
  "renter": null,
  "safety_distance": 2060123445,
  "survey_amount": null,
  "type": 930,
  "update_date": "2019-05-06T12:47:12.703Z",
  "updated_by": "api@keypro.fi",
  "usage_state": 290
}
object
contractor
integer

Cable contractor id

creation_date
string (date-time)

Creation date and time

creator
string

creator

depth_class
integer

Cable depth class id

false_cable
boolean

unknown

height_accuracy
integer

Height accuracy id

id
integer

Primary key

identification
string

Identification

installation_date
string (date-time)

installation date

installation_type
integer

Cable installation type id

installation_year
integer

Installation year

length
number (float)

cable length

location
string (ewkt)

Geographical location

location_accuracy
integer

Location accuracy id

mapper
string

mapper name

mapping_date
string (date-time)

mapping date

mapping_method
integer

Mapping method id

measure
integer

Cable measure id

network_area
integer

Network area id

owner
integer

Owner id

plan
integer

Plan id

remarks
string

Remarks. Available from product version 3.2.14.

renter
integer

Renter id

safety_distance
integer

Safety Distance id. Available from product version 3.6.4

survey_amount
integer

unknown

type
integer

Type id

update_date
string (date-time)

Last update date time

updated_by
string

Last updater

usage_state
integer

Usage state id

400

There was an error in request. Usually field validation failed.

object

Fields which failed validation

property*
Array of string additionalProperties

List of validation errors for this fieldname

string

Validation error

401

Authentication credentials are missing or invalid

{
  "details": "Authentication credentials were not provided"
}
object
details
string

Detailed description of error